StoreDescription (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.storeconfig

## Class StoreDescription

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreDescription

-     public class StoreDescription
      extends Object

  Bean of a StoreDescription

        <Description
        tag="Context"
        standard="true"
        default="true"
        externalAllowed="true"
        storeSeparate="true"
        backup="true"
        children="true"
        tagClass="org.apache.catalina.core.StandardContext"
        storeFactoryClass="org.apache.catalina.storeconfig.StandardContextSF"
        storeAppenderClass="org.apache.catalina.storeconfig.StoreContextAppender">
           <TransientAttribute>available</TransientAttribute>
           <TransientAttribute>configFile</TransientAttribute>
           <TransientAttribute>configured</TransientAttribute>
           <TransientAttribute>displayName</TransientAttribute>
           <TransientAttribute>distributable</TransientAttribute>
           <TransientAttribute>domain</TransientAttribute>
           <TransientAttribute>engineName</TransientAttribute>
           <TransientAttribute>name</TransientAttribute>
           <TransientAttribute>publicId</TransientAttribute>
           <TransientAttribute>replaceWelcomeFiles</TransientAttribute>
           <TransientAttribute>saveConfig</TransientAttribute>
           <TransientAttribute>sessionTimeout</TransientAttribute>
           <TransientAttribute>startupTime</TransientAttribute>
           <TransientAttribute>tldScanTime</TransientAttribute>
        </Description>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreDescription()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransientAttribute(String attribute)`
    `void` | `addTransientChild(String classname)`
    `String` | `getId()` Return the real id or TagClass
    `IStoreFactory` | `getStoreFactory()`
    `String` | `getStoreFactoryClass()`
    `String` | `getStoreWriterClass()`
    `String` | `getTag()`
    `String` | `getTagClass()`
    `List<String>` | `getTransientAttributes()`
    `List<String>` | `getTransientChildren()`
    `boolean` | `isAttributes()`
    `boolean` | `isBackup()`
    `boolean` | `isChildren()`
    `boolean` | `isDefault()`
    `boolean` | `isExternalAllowed()`
    `boolean` | `isExternalOnly()`
    `boolean` | `isStandard()`
    `boolean` | `isStoreSeparate()`
    `boolean` | `isTransientAttribute(String attribute)` Is attribute transient, please don't save this.
    `boolean` | `isTransientChild(String classname)` Is child transient, please don't save this.
    `void` | `removeTransientAttribute(String attribute)`
    `void` | `removeTransientChild(String classname)`
    `void` | `setAttributes(boolean attributes)`
    `void` | `setBackup(boolean backup)`
    `void` | `setChildren(boolean children)`
    `void` | `setDefault(boolean aDefault)`
    `void` | `setExternalAllowed(boolean external)`
    `void` | `setExternalOnly(boolean external)`
    `void` | `setId(String id)`
    `void` | `setStandard(boolean standard)`
    `void` | `setStoreFactory(IStoreFactory storeFactory)`
    `void` | `setStoreFactoryClass(String storeFactoryClass)`
    `void` | `setStoreSeparate(boolean storeSeparate)`
    `void` | `setStoreWriterClass(String storeWriterClass)`
    `void` | `setTag(String tag)`
    `void` | `setTagClass(String tagClass)`
    `void` | `setTransientAttributes(List<String> transientAttributes)`
    `void` | `setTransientChildren(List<String> transientChildren)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreDescription

          public StoreDescription()

  - ### Method Detail

    - #### isExternalAllowed

          public boolean isExternalAllowed()

      Returns:
        Returns the external.

    - #### setExternalAllowed

          public void setExternalAllowed(boolean external)

      Parameters:
        `external` - The external to set.

    - #### isExternalOnly

          public boolean isExternalOnly()

    - #### setExternalOnly

          public void setExternalOnly(boolean external)

    - #### isStandard

          public boolean isStandard()

      Returns:
        Returns the standard.

    - #### setStandard

          public void setStandard(boolean standard)

      Parameters:
        `standard` - The standard to set.

    - #### isBackup

          public boolean isBackup()

      Returns:
        Returns the backup.

    - #### setBackup

          public void setBackup(boolean backup)

      Parameters:
        `backup` - The backup to set.

    - #### isDefault

          public boolean isDefault()

      Returns:
        Returns the myDefault.

    - #### setDefault

          public void setDefault(boolean aDefault)

      Parameters:
        `aDefault` - The myDefault to set.

    - #### getStoreFactoryClass

          public String getStoreFactoryClass()

      Returns:
        Returns the storeFactory.

    - #### setStoreFactoryClass

          public void setStoreFactoryClass(String storeFactoryClass)

      Parameters:
        `storeFactoryClass` - The storeFactory to set.

    - #### getStoreFactory

          public IStoreFactory getStoreFactory()

      Returns:
        Returns the storeFactory.

    - #### setStoreFactory

          public void setStoreFactory(IStoreFactory storeFactory)

      Parameters:
        `storeFactory` - The storeFactory to set.

    - #### getStoreWriterClass

          public String getStoreWriterClass()

      Returns:
        Returns the storeWriterClass.

    - #### setStoreWriterClass

          public void setStoreWriterClass(String storeWriterClass)

      Parameters:
        `storeWriterClass` - The storeWriterClass to set.

    - #### getTag

          public String getTag()

      Returns:
        Returns the tagClass.

    - #### setTag

          public void setTag(String tag)

      Parameters:
        `tag` - The tag to set.

    - #### getTagClass

          public String getTagClass()

      Returns:
        Returns the tagClass.

    - #### setTagClass

          public void setTagClass(String tagClass)

      Parameters:
        `tagClass` - The tagClass to set.

    - #### getTransientAttributes

          public List<String> getTransientAttributes()

      Returns:
        Returns the transientAttributes.

    - #### setTransientAttributes

          public void setTransientAttributes(List<String> transientAttributes)

      Parameters:
        `transientAttributes` - The transientAttributes to set.

    - #### addTransientAttribute

          public void addTransientAttribute(String attribute)

    - #### removeTransientAttribute

          public void removeTransientAttribute(String attribute)

    - #### getTransientChildren

          public List<String> getTransientChildren()

      Returns:
        Returns the transientChildren.

    - #### setTransientChildren

          public void setTransientChildren(List<String> transientChildren)

      Parameters:
        `transientChildren` - The transientChildren to set.

    - #### addTransientChild

          public void addTransientChild(String classname)

    - #### removeTransientChild

          public void removeTransientChild(String classname)

    - #### isTransientChild

          public boolean isTransientChild(String classname)

      Is child transient, please don't save this.
      Parameters:
        `classname` - The class name to check
      Returns:
        is classname attribute?

    - #### isTransientAttribute

          public boolean isTransientAttribute(String attribute)

      Is attribute transient, please don't save this.
      Parameters:
        `attribute` - The attribute name to check
      Returns:
        is transient attribute?

    - #### getId

          public String getId()

      Return the real id or TagClass
      Returns:
        Returns the id.

    - #### setId

          public void setId(String id)

      Parameters:
        `id` - The id to set.

    - #### isAttributes

          public boolean isAttributes()

      Returns:
        Returns the attributes.

    - #### setAttributes

          public void setAttributes(boolean attributes)

      Parameters:
        `attributes` - The attributes to set.

    - #### isStoreSeparate

          public boolean isStoreSeparate()

      Returns:
        True if it's a separate store

    - #### setStoreSeparate

          public void setStoreSeparate(boolean storeSeparate)

    - #### isChildren

          public boolean isChildren()

      Returns:
        Returns the children.

    - #### setChildren

          public void setChildren(boolean children)

      Parameters:
        `children` - The children to set.

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.